> ## Documentation Index
> Fetch the complete documentation index at: https://docs.swervpay.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Invoices

> Get list of invoices



## OpenAPI

````yaml GET /invoices
openapi: 3.0.0
info:
  title: Swervpay Developer API Specification
  version: 0.0.0
servers:
  - url: https://api.swervpay.co/api/v1
    description: Production API
  - url: https://sandbox.swervpay.co/api/v1
    description: Sandbox API
security:
  - bearerAuth: []
paths:
  /invoices:
    get:
      tags:
        - invoices
      description: Get list of invoices
      operationId: invoiceList
      parameters:
        - name: page
          in: query
          schema:
            type: integer
        - name: limit
          in: query
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TypesBusinessInvoice'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsererrorError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsererrorError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsererrorError'
components:
  schemas:
    TypesBusinessInvoice:
      type: object
      properties:
        attachments:
          type: string
        categories:
          type: string
        created_at:
          type: string
          format: date-time
        currency:
          type: string
        description:
          type: string
        due_date:
          type: string
        id:
          type: string
        invoice_link:
          type: string
        invoice_number:
          type: string
        is_recurring:
          type: boolean
        issued_date:
          type: string
        items:
          type: array
          items:
            $ref: '#/components/schemas/TypesBusinessInvoiceItem'
        memo:
          type: string
        recurring_end_date:
          type: string
        recurring_frequency:
          type: string
        status:
          type: string
        tags:
          type: string
        title:
          type: string
        total_amount:
          type: number
        total_discount_amount:
          type: number
        total_tax_fee:
          type: number
        updated_at:
          type: string
          format: date-time
    UsererrorError:
      type: object
      properties:
        message:
          type: string
        values:
          type: object
          additionalProperties: {}
    TypesBusinessInvoiceItem:
      type: object
      properties:
        created_at:
          type: string
          format: date-time
        description:
          type: string
        discount_amount:
          type: number
        id:
          type: string
        quantity:
          type: integer
        tax:
          type: string
        tax_fee:
          type: number
        total_price:
          type: number
        unit_price:
          type: number
        updated_at:
          type: string
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````